// import request from '@/utils/request'

// 查询设备列表
// export function listDevice(query) {
//   return request({
//     url: '/system/device/list',
//     method: 'get',
//     params: query
//   })
// }
//
// // 查询设备详细
// export function getDevice(id) {
//   return request({
//     url: '/system/device/' + id,
//     method: 'get'
//   })
// }
//
// // 新增设备
// export function addDevice(data) {
//   return request({
//     url: '/system/device',
//     method: 'post',
//     data: data
//   })
// }
//
// // 修改设备
// export function updateDevice(data) {
//   return request({
//     url: '/system/device',
//     method: 'put',
//     data: data
//   })
// }
//
// // 删除设备
// export function delDevice(data) {
//   return request({
//     url: '/system/device/del',
//     method: 'Put',
//     data: data
//   })
// }

import request from '@/utils/request'

// 查询设备列表
export function listDevice(query) {
  return request({
    url: '/business/device/list',
    method: 'get',
    params: query
  })
}

// 查询设备列表
export function listReservationDevice(query) {
  return request({
    url: '/business/device/equipment-reservation',
    method: 'get',
    params: query
  })
}

// 查询设备列表不分页
export function listDeviceAll(query) {
  return request({
    url: '/business/device/deviceList',
    method: 'get',
    params: query
  })
}

// 查询设备列表用于检查管理-立即预约（没有分页）
export function deviceUseInSubscribeList(query) {
  return request({
    url: '/business/device/deviceUseInSubscribe',
    method: 'get',
    params: query
  })
}

// 查询设备详细
export function getDevice(id) {
  return request({
    url: '/business/device/' + id,
    method: 'get'
  })
}

// 新增设备
export function addDevice(data) {
  return request({
    url: '/business/device',
    method: 'post',
    data: data
  })
}

// 修改设备
export function updateDevice(data) {
  return request({
    url: '/business/device',
    method: 'put',
    data: data
  })
}

// 删除设备
export function delDevice(data) {
  return request({
    url: '/business/device/del',
    method: 'Put',
    data: data
  })
}
