import request from '@/utils/request'

let isFetching = false

// 查询医院列表
export function listHospital(query) {
  return request({
    url: '/system/hospital/list',
    method: 'get',
    params: query
  })
}
export function listGetUserInfo(query) {
  return request({
    url: '/system/hospital/listGetUser',
    method: 'get',
    params: query
  })
}
// 查询医院列表全部
export function listHospitalAll() {
  return request({
    url: '/system/department/listAllHospital',
    method: 'get'
  })
}
// 查询医院详细
export function getHospital(id) {
  return request({
    url: '/system/hospital/' + id,
    method: 'get'
  })
}

// 新增医院
export async function addHospital(data) {
  if (isFetching) {
    return
  }
  isFetching = true

  try {
    return request({
      url: '/system/hospital',
      method: 'post',
      data: data
    })
  } catch (error) {
    console.error(error)
  } finally {
    isFetching = false
  }
}

// 修改医院
export function updateHospital(data) {
  return request({
    url: '/system/hospital',
    method: 'put',
    data: data
  })
}

// 删除医院
export function delHospital(id) {
  return request({
    url: '/system/hospital/' + id,
    method: 'delete'
  })
}

// 获取所有医院ID
export function getHospitalIds(query) {
  return request({
    url: '/system/hospital/getHospitalIds',
    method: 'get',
    params: query
  })
}
