import request from '@/utils/request'

// 查询治疗/检查项目管理列表
export function listItem(query) {
  return request({
    url: '/business/item/list',
    method: 'get',
    params: query
  })
}
// 查询平台项目管理列表
export function listPlatformItem(query) {
  return request({
    url: '/business/item/platformList',
    method: 'get',
    params: query
  })
}
// 根据检查类型(医院自有服务、预约外部服务)查询检查项目
export function listItemByType(query) {
  return request({
    url: '/business/item/listByType',
    method: 'get',
    params: query
  })
}

// 查询治疗/检查项目管理详细
export function getItem(id) {
  return request({
    url: '/business/item/' + id,
    method: 'get'
  })
}

// 新增治疗/检查项目管理
export function addItem(data) {
  return request({
    url: '/business/item',
    method: 'post',
    data: data
  })
}

// 修改治疗/检查项目管理
export function updateItem(data) {
  return request({
    url: '/business/item',
    method: 'put',
    data: data
  })
}

// 删除治疗/检查项目管理
export function delItem(id) {
  return request({
    url: '/business/item/' + id,
    method: 'delete'
  })
}
