import request from '@/utils/request'

// 查询病例详情
export function getRecord(id) {
  return request({
    url: '/business/record/' + id,
    method: 'get'
  })
}
// 根据检查类型查询检查项目
export function listByType(params) {
  return request({
    url: '/business/item/listByType',
    method: 'get',
    params
  })
}
// 根据宠物id查询检查信息列表
export function checkList(params) {
  return request({
    url: '/business/check/list',
    method: 'get',
    params
  })
}
// 查询治疗项目
export function getTreatOptions(params) {
  return request({
    url: '/business/item/list',
    method: 'get',
    params
  })
}
export function deleteCheck(id) {
  return request({
    url: '/business/check/' + id,
    method: 'delete'
  })
}
// 新增检查
export function addCheck(data) {
  return request({
    url: '/business/check',
    method: 'post',
    data
  })
}
// 编辑检查
export function updateCheck(data) {
  return request({
    url: '/business/check',
    method: 'put',
    data
  })
}
// 新增治疗
export function addTreat(data) {
  return request({
    url: '/business/treat',
    method: 'post',
    data
  })
}
// 编辑治疗
export function updateTreat(data) {
  return request({
    url: '/business/treat',
    method: 'put',
    data
  })
}
export function deleteTreat(id) {
  return request({
    url: '/business/treat/' + id,
    method: 'delete'
  })
}
// 编辑病例
export function editRecord(data) {
  return request({
    url: '/business/record',
    method: 'put',
    data
  })
}
