import request from '@/utils/request'

// 查询宠主列表
export function listOwners(query) {
  return request({
    url: '/system/owners/list',
    method: 'get',
    params: query
  })
}

// 查询宠主列表(全部)
export function listOwnersAll(query) {
  return request({
    url: '/system/owners/list-all',
    method: 'get',
    params: query
  })
}

// 查询宠主详细
export function getOwners(id) {
  return request({
    url: '/system/owners/' + id,
    method: 'get'
  })
}

// 新增宠主
export function addOwners(data) {
  return request({
    url: '/system/owners',
    method: 'post',
    data: data
  })
}

// 修改宠主
export function updateOwners(data) {
  return request({
    url: '/system/owners',
    method: 'put',
    data: data
  })
}

// 删除宠主
export function delOwners(id) {
  return request({
    url: '/system/owners/' + id,
    method: 'delete'
  })
}
