import request from '@/utils/request'

// 查询宠物列表
export function listPets(query) {
  return request({
    url: '/system/pets/list',
    method: 'post',
    data: query
  })
}

// 查询宠物列表——全部
export function listAllPets(query) {
  return request({
    url: '/system/pets/list-all',
    method: 'get',
    params: query
  })
}

// 查询宠物详细
export function getPets(id) {
  return request({
    url: '/system/pets/' + id,
    method: 'get'
  })
}

// 新增宠物
export function addPets(data) {
  return request({
    url: '/system/pets',
    method: 'post',
    data: data
  })
}

// 修改宠物
export function updatePets(data) {
  return request({
    url: '/system/pets',
    method: 'put',
    data: data
  })
}

// 删除宠物
export function delPets(id) {
  return request({
    url: '/system/pets/' + id,
    method: 'delete'
  })
}
