import request from '@/utils/request'

// 查询文档管理列表
export function listManagement(query) {
  return request({
    url: '/business/management/list',
    method: 'get',
    params: query
  })
}

// 查询文档管理详细
export function getManagement(id) {
  return request({
    url: '/business/management/' + id,
    method: 'get'
  })
}

// 新增文档管理
export function addManagement(data) {
  return request({
    url: '/business/management',
    method: 'post',
    data: data
  })
}

// 修改文档管理
export function updateManagement(data) {
  return request({
    url: '/business/management',
    method: 'put',
    data: data
  })
}

// 删除文档管理
export function delManagement(id) {
  return request({
    url: '/business/management/' + id,
    method: 'delete'
  })
}
