import request from '@/utils/request'

// 查询病历管理列表
export function listRecord(query) {
  return request({
    url: '/business/record/list',
    method: 'get',
    params: query
  })
}

// 查询病历管理详细
export function getRecord(id) {
  return request({
    url: '/business/record/' + id,
    method: 'get'
  })
}

// 新增病历管理
export function addRecord(data) {
  return request({
    url: '/business/record',
    method: 'post',
    data: data
  })
}

// 修改病历管理
export function updateRecord(data) {
  return request({
    url: '/business/record',
    method: 'put',
    data: data
  })
}

// 删除病历管理
export function delRecord(id) {
  return request({
    url: '/business/record/' + id,
    method: 'delete'
  })
}
