import request from '@/utils/request'

// 查询挂号列表
export function listRegister(query) {
  return request({
    url: '/business/register/list',
    method: 'get',
    params: query
  })
}

// 查询科室下拉
export function getDepartment() {
  return request({
    url: '/system/department/listAllDepartment',
    method: 'get'
  })
}

// 查询医生下拉
export function getDoctorment() {
  return request({
    url: '/system/manage/listAll',
    method: 'get'
  })
}

// 查询医生下拉
export function getHospital() {
  return request({
    url: '/system/hospital/list-all',
    method: 'get'
  })
}

// 查询挂号详细
export function getRegister(id) {
  return request({
    url: '/business/register/' + id,
    method: 'get'
  })
}
// 查询挂号详细--录入诊断
export function inputDiagnosis(id) {
  return request({
    url: '/business/register/inputDiagnosis/' + id,
    method: 'get'
  })
}

// 新增挂号
export function addRegister(data) {
  return request({
    url: '/business/register',
    method: 'post',
    data: data
  })
}

// 修改挂号
export function updateRegister(data) {
  return request({
    url: '/business/register',
    method: 'put',
    data: data
  })
}

// 删除挂号
export function delRegister(id) {
  return request({
    url: '/business/register/' + id,
    method: 'delete'
  })
}

// 根据userId查询某个医生当天挂号情况
export function timeRegister(params) {
  return request({
    url: '/business/register/getRegisterInfo',
    method: 'get',
    params: params
  })
}
// 打开开具处方
export function queryPrescribing(data) {
  return request({
    url: '/business/record/prescribing',
    method: 'post',
    data: data
  })
}

/**
 * 检查宠物是否有重复
 */
export function checkPet(data) {
  return request({
    url: '/business/register/checkPet',
    method: 'post',
    data: data
  })
}
